Package org.apache.sis.util

## Class Static

- Object
- - Static

- Direct Known Subclasses:
    `AffineTransforms2D`, `ArgumentChecks`, `ArraysExt`, `Characters`, `CharSequences`, `Citations`, `Classes`, `Containers`, `CoordinateSystems`, `CRS`, `DataStores`, `DecimalFunctions`, `Envelopes`, `Exceptions`, `Extents`, `FeatureOperations`, `Features`, `FrenchProfile`, `IdentifiedObjects`, `IO`, `JapaneseProfile`, `Locales`, `Logging`, `MathFunctions`, `MathTransforms`, `Matrices`, `Names`, `Namespaces`, `Numbers`, `ObjectConverters`, `PixelTranslation`, `Quantities`, `Shapes2D`, `StringBuilders`, `TreeTables`, `Types`, `Units`, `Utilities`, `XML`

      public class Static
      extends Object

  Parent of SIS classes that contain only static utility methods, for documentation purpose. The list below summarizes some of the utility classes:

  Static utility classes (non exhaustive list)
  Classes of the Java language
  `Characters` | Find subscript and superscript digit characters.
  `CharSequences` | Methods working on `CharSequence` or `String` instances.
  `StringBuilders` | Methods modifying `StringBuilder` content in-place.
  `Numbers` | Methods working with `Number` instances (include conversions between different types).
  `Classes` | Methods working with `Class` instances.
  `Containers` | Additions to the JDK `Collections` methods, also related to the `CheckedContainer` interface.
  `ArraysExt` | Additions to the JDK `Arrays` methods (include insert or remove of elements in the middle of arrays).
  Mathematics and units of measurement
  `MathFunctions` | Additions to the `Math` methods.
  `DecimalFunctions` | Mathematical methods related to base 10 representation of numbers.
  `Matrices` | Create and compare `Matrix` objects
  `Units` | Get a unit from a symbol or EPSG code, and test if a unit is angular, linear or temporal.
  OGC/ISO objects (metadata, referencing, geometries)
  `Types` | UML identifier and description for GeoAPI types.
  `Names` | Simple creation and operations on `GenericName` objects.
  `Citations` | Pre-defined `Citation` and methods for comparing against titles or identifiers.
  `Extents` | Extract information from `Extent` objects.
  `Envelopes` | Parse, format and transform `Envelope` objects.
  `IdentifiedObjects` | Handle names, identifiers or properties of `IdentifiedObject` instances.
  `CoordinateSystems` | Parses axis names and creates transforms between `CoordinateSystem` instances.
  `Parameters` | Creates, searches or modifies `ParameterValue` instances in a group of parameters.
  Input / Output (including CRS, XML, images)
  `IO` | Methods working on `Appendable` instances.
  `DataStores` | Read or write geospatial data in various backends.
  `XML` | Marshal or unmarshal ISO 19115 objects.
  `Namespaces` | `String` constants for commonly used namespaces.
  Loggings and exceptions
  `ArgumentChecks` | Perform argument checks and throw `IllegalArgumentException` if needed.
  `Exceptions` | Format a stack trace summary or change the exception message.
  `Logging` | Get a JDK logger, which may be a wrapper around the Apache Commons Logging or Log4J framework.
  Factories
  `ObjectConverters` | Create `ObjectConverter` instances, or collection views using object converters.

  Since:
    0.3

  Defined in the `sis-utility` module

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Static()` | For subclasses only.

  - ### Method Summary

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Static

          protected Static()

      For subclasses only. Subclasses shall declare a private constructor for preventing instantiation.